Class representing a fetch response.

### Hierarchy

- BodyMixin
  - Response

### Implements

- Body

## Index

### Constructors

- constructor

### Properties

- headers
- ok
- status
- statusText
- type
- url

### Accessors

- body
- bodyUsed
- cookies

### Methods

- arrayBuffer
- blob
- clone
- formData
- json
- text
- redirect

## Constructors

### constructor

- new Response(body: any, init: any): Response

- Overrides BodyMixin.constructor

  - Defined in response.ts:28

  #### Parameters

  - ##### body: any

  - ##### init: any

  #### Returns Response

## Properties

### headers

headers: Headers

- Defined in response.ts:13

### ok

ok: boolean

- Defined in response.ts:16

### status

status: number

- Defined in response.ts:14

### statusText

statusText: string

- Defined in response.ts:17

### type

type: string

- Defined in response.ts:18

### url

url: string

- Defined in response.ts:15

## Accessors

### body

- get body(): ReadableStream | null

- Inherited from BodyMixin.body

  - Defined in body_mixin.ts:32

  #### Returns ReadableStream | null

### bodyUsed

- get bodyUsed(): boolean

- Inherited from BodyMixin.bodyUsed

  - Defined in body_mixin.ts:50

  #### Returns boolean

### cookies

- get cookies(): CookieJar

- - Defined in response.ts:100
  type

    CookieJar

  #### Returns CookieJar

## Methods

### arrayBuffer

- arrayBuffer(): Promise<ArrayBuffer>

- Inherited from BodyMixin.arrayBuffer

  - Defined in body_mixin.ts:96

  #### Returns Promise<ArrayBuffer>

### blob

- blob(): Promise<Blob>

- Inherited from BodyMixin.blob

  - Defined in body_mixin.ts:57

  #### Returns Promise<Blob>

### clone

- clone(): Response

- - Defined in response.ts:107

  #### Returns Response

### formData

- formData(): Promise<FormData>

- Inherited from BodyMixin.formData

  - Defined in body_mixin.ts:61

  #### Returns Promise<FormData>

### json

- json(): Promise<any>

- Inherited from BodyMixin.json

  - Defined in body_mixin.ts:91

  #### Returns Promise<any>

### text

- text(): Promise<string>

- Inherited from BodyMixin.text

  - Defined in body_mixin.ts:82

  #### Returns Promise<string>

### Static redirect

- redirect(url: any, status?: number): Response

- - Defined in response.ts:21

  #### Parameters

  - ##### url: any

  - ##### Default value status: number = 302

  #### Returns Response

Generated using TypeDoc